// Code generated by mockery v0.0.0-dev. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// Logger is an autogenerated mock type for the Logger type
type Logger struct {
	mock.Mock
}

// Debug provides a mock function with given fields: message
func (_m *Logger) Debug(message string) {
	_m.Called(message)
}

// Error provides a mock function with given fields: message
func (_m *Logger) Error(message string) {
	_m.Called(message)
}

// Info provides a mock function with given fields: message
func (_m *Logger) Info(message string) {
	_m.Called(message)
}
